visuprot=function(myprot,tdata,quanti,categorie, title=NULL) {
	tabcour=tdata[tdata$protein==myprot,]
	if (dim(tabcour)[1]>0) {
		par(mar=c(5,4,0,2)+0.1)
		par(oma=c(1,1,7,1))
		boxplot(quanti~categorie, data=tabcour)
#   ttt=as.data.frame(table(tabcour$geno,tabcour$zone,tabcour$trait))
#   lll=paste(ttt$Var1,ttt$Var2,ttt$Var3,sep="-")
#   axis(1,outer=FALSE,labels=lll,cex.axis=0.6,hadj=1,padj=0,las=2,at=1:length(lll))
#mtext(c(tabcour$short[1],tabcour$name[1],tabcour$bin[1]),side=3, line=c(3.0,2.0,1.0), adj=0, cex=0.6,outer=TRUE)
		if (is.null(title)) {
			title <- myprot
		}
		mtext(title,side=3, line=5.0, adj=0.5, cex=1.6,outer=TRUE)
	}
}


##################################################################################







visupeptg=function(myprot,tableau) {
	sub=tableau[tableau$protein==myprot,]
	sub$caracgzt=paste(sub$trait,sub$zone,sub$geno,sep="-")
#  toto=tapply(sub$qnorm,list(paste(sub$caractgz,sub$msrun),as.character(sub$peptiz)),FUN=sum,na.rm=T)
	toto=tapply(sub$qnorm,list(sub$caracgzt,as.character(sub$peptiz)),FUN=mean,na.rm=T)
	ccc=cor(toto,use="pairwise.complete.obs")
	matplot(toto,type="l", xaxt="n",ylim=c(5,10),main=myprot)
	axis(1,outer=FALSE,labels=row.names(toto),cex.axis=0.5,hadj=1,padj=0,las=2,at=1:length(row.names(toto)))
	legend("topright",legend=colnames(toto), pch=15, cex=0.8,col=1:dim(toto)[2])
	return(ccc)
}

visupept=function(myprot,tableau) {
	sub=tableau[tableau$protein==myprot,]
	sub$caracgzt=paste(sub$trait,sub$zone,sub$geno,sep="-")
	toto=tapply(sub$qnorm,list(paste(sub$caracgzt,sub$msrun),as.character(sub$peptiz)),FUN=sum,na.rm=T)
	ccc=cor(toto,use="pairwise.complete.obs")
	matplot(toto,type="l", xaxt="n",ylim=c(5,10),main=myprot)
	axis(1,outer=FALSE,labels=row.names(toto),cex.axis=0.5,hadj=1,padj=0,las=2,at=1:length(row.names(toto)))
	legend("topright",legend=colnames(toto), pch=15, cex=0.8,col=1:dim(toto)[2])
	return(ccc)
}


visupeptx=function(myprot,tableau) {
	sub=tableau[tableau$protein==myprot,]
	sub$caracgzt=paste(sub$trait,sub$zone,sub$geno,sep="-")
#  toto=tapply(sub$qnorm,list(paste(sub$caractgz,sub$msrun),as.character(sub$peptiz)),FUN=sum,na.rm=T)
	toto=tapply(sub$qnorm,list(sub$caracgzt,as.character(sub$peptiz)),FUN=mean,na.rm=F)
	ccc=cor(toto,use="pairwise.complete.obs")
	matplot(toto,type="l", xaxt="n",ylim=c(5,10),main=myprot)
	axis(1,outer=FALSE,labels=row.names(toto),cex.axis=0.5,hadj=1,padj=0,las=2,at=1:length(row.names(toto)))
	legend("topright",legend=colnames(toto), pch=15, cex=0.8,col=1:dim(toto)[2])
	return(ccc)
}




# Création de la fonction visuprot pour 2 tables
visuprot2=function(myprot,tdata1,tdata2) {
	tabcour1=tdata1[tdata1$protein==myprot,]
	tabcour2=tdata2[tdata2$protein==myprot,]
	if (dim(tabcour1)[1]>0 & dim(tabcour2)[1]>0) {
		par(mar=c(5,4,0,2)+0.1)
		par(oma=c(1,1,7,1))
		maxtot=max(c(tabcour1$qnorm,tabcour2$qnorm))
		mintot=min(c(tabcour1$qnorm,tabcour2$qnorm))

		boxplot(tabcour1$qnorm~tabcour1$geno:tabcour1$zone:tabcour1$trait,xaxt="n",ylim=c(mintot,maxtot),col=(c("green","yellow","orange")))
		ttt=as.data.frame(table(tabcour1$geno,tabcour1$zone,tabcour1$trait))
		lll=paste(ttt$Var1,ttt$Var2,ttt$Var3,sep="-")
		axis(1,outer=FALSE,labels=lll,cex.axis=0.6,hadj=1,padj=0,las=2,at=1:length(lll))
		mtext(myprot,side=3, line=5.0, adj=0.5, cex=1.6,outer=TRUE)

		boxplot(tabcour2$qnorm~tabcour2$geno:tabcour2$zone:tabcour2$trait,xaxt="n",ylim=c(mintot,maxtot),col=(c("green","yellow","orange")))
		ttt=as.data.frame(table(tabcour2$geno,tabcour2$zone,tabcour2$trait))
		lll=paste(ttt$Var1,ttt$Var2,ttt$Var3,sep="-")
		axis(1,outer=FALSE,labels=lll,cex.axis=0.6,hadj=1,padj=0,las=2,at=1:length(lll))
		mtext(myprot,side=3, line=5.0, adj=0.5, cex=1.6,outer=TRUE)
	}
}

