mcq.select.monodetected.peptiz <- function(object) {
	if ((class(object) == "mcqProtPep") || (class(object) == "mcq.skyline")) {
		#select only peptiz quantified one time in one sample
		peptizgroup=as.factor(paste(object@peptides$peptiz,object@peptides$msrun,sep='__'))
		ni = table(peptizgroup)
#print (length(ni))
		peptizgroupok <- names(ni[ni == 1])
#print (length(peptizgroupok))
#return (ni)
#	print (head(peptizgroupok))
		f <- function(s) strsplit(s, "__")[[1]][1]

		peptizok <- sapply(peptizgroupok, f)

#	print (head(peptizok))
		nbpeptides <- length(unique(object@peptides$peptide))
		object@peptides <- object@peptides[object@peptides$peptiz %in% peptizok,]
		object@peptides <- drop.levels(object@peptides)
		nbpeptidesafter <- length(unique(object@peptides$peptide))
		cat (paste((nbpeptides - nbpeptidesafter), " peptides dropped\n", sep=""))
		nbprot <- length(unique(object@proteins$protein))
		object@proteins <- object@proteins[object@proteins$peptide %in% object@peptides$peptide,]
		object@proteins <- drop.levels(object@proteins)
		nbprotafter <- length(unique(object@proteins$protein))
		cat (paste((nbprot - nbprotafter), " proteins dropped\n", sep=""))

		return (object)

		#number_of_xic=aggregate(object@peptiz,list(peptidgroup),FUN=sd)

		#peptizok <-
	}
	else {
		stop(paste("the class \"", class(object),"\" is not taken into account by mcq.select.monodetected.peptiz",sep=""))
	}

}
