
mcq.write.compar.tsv <- function (object, file, flist=NULL, na.rm=TRUE, sampleid=TRUE,good.model=0.01) {
	if (is.null(file)) {
		stop("Please give an output filename")
	}
	df <-mcq.get.compar(object, flist, na.rm, sampleid=sampleid,good.model=good.model)
	df <- cbind.data.frame(rownamesbidon = rownames(df), df)
	colnames(df)[1]=""
	write.table(df,file, quote= FALSE,  sep="\t", dec=".",row=FALSE)
}

