\name{mcq.read.protpep}
\alias{mcq.read.protpep}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Read MassChroqR Files
%%  ~~function to do ... ~~
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
This function reads MassChroQ output files and loads the data in a mcqProtPep object.
}
\usage{
mcq.read.protpep(protFile=NULL, pepFile=NULL, method.ni="max")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{protFile}{name of the MassChroQ output file containing the proteins' information (e.g. 'XIC_result_prot.tsv')}
  \item{pepFile}{name of the MassChroQ output file containing the peptides' data (e.g. 'XIC_result_pep.tsv')}
  \item{method.ni}{method to be used when the MassChroQ option with natural isotopes is enabled. This must be either "max"(Default) or "mono"}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
When the MassChroq option with natural isotopes is enabled, a peptide-charge can be quantified through several of its isotopes. In the "max" method, quantification is made on the most theoretically abundant natural isotope. In the "mono" method, quantification is made on the monoisotope.

}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
The function mcq.read.protpep returns an object of class \code{mcqProtPep} containing proteins and peptides slots.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
The MassChroq outputfile containing the proteins' information should not contain apostrophe, otherwise the file will not be entirely read.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
%##---- Should be DIRECTLY executable !! ----
%##-- ==>  Define data, use random,
%##--	or do  help(data=index)  for the standard data sets.

# Preliminary step: load the example dataset and export the protein and peptide files
	data(extraction)
	write.table(peptide.data, file="XIC_result_pep.tsv", sep="\t", quote=FALSE, row.names=FALSE)
	write.table(protein.data, file="XIC_result_prot.tsv", sep="\t", quote=FALSE, row.names=FALSE)

# Launch the mcq.read.protpep function
	protPep <- mcq.read.protpep(protFile='XIC_result_prot.tsv', pepFile='XIC_result_pep.tsv')

%## The function is currently defined as
%function (mcqFilename)
%{
%    mcq <- xmlEventParse(mcqFilename, mcqSaxHandler())$getMcq()
%    mcqData <- new("mcqData", samples = mcq$samples, groups = mcq$groups,
%        proteins = mcq$proteins, peptidesmh = mcq$peptidesmh,
%        observedin = mcq$observedin, quantipeptides = mcq$quantipeptides,
%        quantify = mcq$quantify)
%    rm(mcq)
%    return(mcqData)
%  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
