\name{summary}
\alias{summary}
\title{ Methods summary }
\description{
 This method sumarizes the informations of the object given in parameter.
}
\usage{
summary(object)
}
\arguments{
  \item{object}{
The object could be mcqProtPep, mcq.skyline, mcq.protquantity, mcq.peakcounting, mcq.spectralcounting, mcqData, mcqMetadata, mcq.class.peptide.pca, mcq.protlist.
}
}

\value{
The summary method prints a list of information of the object.
}


\examples{
%##---- Should be DIRECTLY executable !! ----
%##-- ==>  Define data, use random,
%##--	or do  help(data=index)  for the standard data sets.

# Preliminary step: load the example dataset and export the protein and peptide files
data(extraction)
write.table(peptide.data, file="XIC_result_pep.tsv",sep="\t",quote=FALSE)
write.table(protein.data, file="XIC_result_prot.tsv",sep="\t",quote=FALSE)

# Launch the mcq.read.protpep function
protPep <- mcq.read.protpep(protFile='XIC_result_prot.tsv', pepFile='XIC_result_pep.tsv')

# Launch the summary function
summary(protPep)
}
