
mcq.grep.protlist <- function(object, pattern, accession=T) {
	if (class(object) == "mcq.protlist") {
		# grep pattern on accession list
		if (accession) {
			object@proteins <- object@proteins[grepl(pattern, names(object@proteins))]
		}
		else {
			object@proteins <- object@proteins[grepl(pattern, object@proteins)]
		}
		return (object)
	}
	else {
		stop(paste("the class \"", class(object),"\" is not taken into account by mcq.grep.protlist",sep=""))
	}
}


