
mcq.merge.metadata = function(object, metadata=metadata) {
	if (class(metadata) != "mcqMetadata") {
		stop("second argument is not an mcqMetadata object")
	}
	if ((class(object) == "mcqProtPep")||(class(object)=="mcq.skyline")||(class(object)=="mcq.spectralcounting")||(class(object) == "mcqData")) {
		object@metadata <- metadata

		if (class(object)=="mcq.spectralcounting") {
			object@samples <- object@metadata@samples
			tsamples <- object@metadata@samples
			tsamples$msrun <- rownames(object@metadata@samples)
			object@protval <- merge(object@protval,tsamples, "msrunfile", all.x=T, all.y=F)
			object@protval$oldmsrun <- NULL
		}

		privCheckMetadataCoherence(object)

	}
	else {
		stop(paste("the class \"", class(object),"\" is not taken into account by mcq.merge.metadata",sep=""))
	}
	return (object)
}
