
mcq.select.pairwise.t.test.mindiff <-function (object, diff.log10=0.06) {
	if (class(object) == "mcq.pairwise.t.test") {

		nbprot <- length(unique(object@restest$pair.result$proteins))
		nbprot_pairs <- nrow(object@restest$pair.result)

		pairs <- object@restest$pair.result[abs(log10(object@restest$pair.result$ratio)) >= diff.log10 ,]
		#object@restest$pair.result <- drop.levels(pairs)

		nbprot_pairs_after <- nrow(object@restest$pair.result)
		nbprot_after <- length(unique(object@restest$pair.result$proteins))

		cat (paste("dropping ", (nbprot-nbprot_after) ," proteins",sep=""))
		cat (paste("dropping ", (nbprot_pairs-nbprot_pairs_after) ," sample comparisons",sep=""))

		#object@restest$pair.result$padjust <- p.adjust(object@restest$pair.result$pval,method="fdr")

#"protein msrun count"
#cleaning object slots
		object@protval <- object@protval[object@protval$protein %in% object@restest$pair.result$proteins,]
		#object@protval <- drop.levels(object@protval)

		msrunlist <- unique(object@protval$msrun)
		object@metadata@metadata$bidon <- rownames(object@metadata@metadata)
		object@metadata@metadata <- object@metadata@metadata[msrunlist,]
		object@metadata@metadata$bidon <- NULL
		object@metadata@metadata <- drop.levels(object@metadata@metadata)

#proteins="data.frame"
		object@proteins <- object@proteins[object@restest$pair.result$proteins,]
		#object@proteins <- drop.levels(object@proteins)

#samples
		object@samples$bidonnage <-rownames(object@samples)
		object@samples <- object@samples[msrunlist,]
		object@samples$bidonnage <- NULL
		#object@samples <- drop.levels(object@samples)

		return (object)
	}
	else {
		stop(paste("the class \"", class(object),"\" is not taken into account by mcq.select.pairwise.t.test.mindiff",sep=""))
	}

}
