
mcq.select.pairwise.t.test.signif.fdr <-function (object, fdr) {
	if (class(object) == "mcq.pairwise.t.test") {

		object@restest$pair.result <- object@restest$pair.result[object@restest$pair.result$padjust <= fdr ,]
		object@restest$pair.result <- drop.levels(object@restest$pair.result)

#"protein msrun count"
#cleaning object slots
		object@protval <- object@protval[object@protval$protein %in% object@restest$pair.result$proteins,]
		#object@protval <- drop.levels(object@protval)

		msrunlist <- unique(object@protval$msrun)
		object@metadata@metadata$bidon <- rownames(object@metadata@metadata)
		object@metadata@metadata <- object@metadata@metadata[msrunlist,]
		object@metadata@metadata$bidon <- NULL
		object@metadata@metadata <- drop.levels(object@metadata@metadata)

#proteins="data.frame"
		object@proteins <- object@proteins[object@restest$pair.result$proteins,]
		#object@proteins <- drop.levels(object@proteins)

#samples
		object@samples$bidonnage <-rownames(object@samples)
		object@samples <- object@samples[msrunlist,]
		object@samples$bidonnage <- NULL
		#object@samples <- drop.levels(object@samples)

		return (object)
	}
	else {
		stop(paste("the class \"", class(object),"\" is not taken into account by mcq.select.pairwise.t.test.signif.fdr",sep=""))
	}

}
