
mcq.write.synthesis.tsv <- function (spectral.object,spectral.stat.object,pk.object,pk.stat.object,protquant.object,protquant.stat.object, file=NULL, na.rm=TRUE,sampleid=TRUE)
{	
	if ((class(spectral.object) != "mcq.spectralcounting")) {
		stop(paste("the class of parameter 1 must be mcq.spectralcounting",sep=""))
	}
	if (class(spectral.stat.object) != "mcq.spectralcounting.anova")  {
		stop(paste("the class of parameter 2 must be mcq.spectralcounting.anova",sep=""))
	}
	if ((class(pk.object) != "mcq.peakcounting")) {
		stop(paste("the class of parameter 3 must be mcq.peakcounting",sep=""))
	}
	if (class(pk.stat.object) != "mcq.peakcounting.anova") {
		stop(paste("the class of parameter 4 must be mcq.peakcounting.anova",sep=""))
	}
	if ((class(protquant.object) != "mcq.protquantity")) {
		stop(paste("the class of parameter 5 must be mcq.protquantity",sep=""))
	}
	if ((class(protquant.stat.object) != "mcq.protquantity.anova")) {
		stop(paste("the class of parameter 6 must be mcq.protquantity.anova",sep=""))
	}
	if (is.null(file)) {
		stop("Please give an output filename")
	}
	SC=mcq.get.merge(spectral.object,spectral.stat.object,flist=NULL, na.rm=TRUE, sampleid=FALSE)
	SC[1]=NULL
	PC=mcq.get.merge(pk.object,pk.stat.object,flist=NULL, na.rm=TRUE, sampleid=FALSE)
	PC[1]=NULL
	XIC=mcq.get.merge(protquant.object,protquant.stat.object, flist=NULL, na.rm=TRUE, sampleid=FALSE)
	XIC[1]=NULL
	temp=mcq.get.merge(SC,PC,flist=NULL, na.rm=TRUE, sampleid=FALSE)
	temp[1]=NULL
	finaltab=mcq.get.merge(temp,XIC,flist=NULL, na.rm=TRUE, sampleid=FALSE)
	mcq.write.merge.tsv(temp,XIC,file,sampleid=FALSE)
}
