\name{mcq.export.metadata.template}
\alias{mcq.export.metadata.template}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Export Metadata  Template
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
This function exports a template file allowing the user to describe the metadata, i.e. all the information regarding the samples. 
}

\usage{
mcq.export.metadata.template(object, file="")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{object}{an object of class \code{mcqProtPep} or \code{mcqSpectralcounting}}
  \item{file}{a character string indicating the name of the file to be exported. The extension must be either .txt or .tsv (e.g. "metadata.txt" or "metadata.tsv")
}
}

\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
The function 'mcq.export.metadata.template' produces a tabulated text file containing two colums, "msrun" and "msrunfile", that are automatically filled in with the names of the msruns and msrunfiles present in the object of class \code{mcqProtPep} or \code{mcqSpectralcounting}. The user can open this file as a spreadsheet (for instance with LibreOffice Calc) and add as many columns as required to describe his samples. Once modified, the file can be saved in a ods format.


}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
%##---- Should be DIRECTLY executable !! ----
%##-- ==>  Define data, use random,
%##--	or do  help(data=index)  for the standard data sets.

# Load the example dataset
	data(extraction)

# Launch the 'mcq.export.metadata.template' function
	mcq.export(metadata.template(protPep, file="metadata.txt")

%## The function is currently defined as
%function (mcq)
%{
%    if (class(mcq) != "mcqData") {
%        stop("input is not an mcqData object")
%    }
%    if (nrow(mcq@quantipeptides)[[1]] == 0) {
%        stop("no quantification results")
%    }
%    sdrt = aggregate(mcq@quantipeptides$rt, list(mcq@quantipeptides$peptiz),
%        FUN = sd)
%    hist(sdrt$x, nclass = 100, xlim = c(1, 100), main = "Standard deviation of peptide-mh/z retention time",
%        xlab = "time (seconds)")
%  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
