\name{mcq.plot.heatmap}
\alias{mcq.plot.heatmap}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Draw heatmap
%%  ~~function to do ... ~~
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
This function draw a heatmap, i.e. a color-coded representation of the protein relative abundances with dendrograms on the left and on the top showing the clustering of the proteins and the clustering of the samples. 
}
\usage{
mcq.plot.heatmap(object,flist=NULL, factorToColor=NULL, distfun=NULL, method="ave", pdf=NULL, cexCol=0.8, cexRow=0.2)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{object}{
  An object of class "mcq.protquantity", "mcq.spectralcounting", "mcq.peakcounting", "mcq.peakcounting.anova", "mcq.protquantity.anova" or "mcq.spectralcounting.anova".
}
  \item{flist}{
 A character of vector of character indicating a factor or a combination of factors on which to compute the average of protein abundances.
}
  \item{factorToColor}{A 'vector' indicating which factors to color in a colorbar describing the samples.
}

  \item{distfun}{ function to use to compute the distance between both rows and columns. May be one of 'euclidean', 'maximum', 'manhattan' , 'canberra' ,
          'binary' or 'minkowski'. Default is 1- Pearson Correlation coefficient}

  \item{method}{  The agglomeration method to be used. This should be one of 'ward.D', 'single','complete', 'average', 'mcquitty',
          'median' or 'centroid'. Default is 'ave' }

\item{pdf}{A character indicating the name of the pdf file to be exported}

\item{cexCol}{A numerical value giving the amount by which the text at the bottom of the heatmap and corresponding to the samples' names should be magnified relative to the default.}

\item{cexRow}{A numerical value giving the amount by which the text on the right of the heatmap and corresponding to the proteins' names should be magnified relative to the default.}


}
\details{
%%  ~~ If necessary, more details than the description above ~~
‘mcq.plot.heatmap’ calls ‘heatplot’ in the R package ‘made4’.

}

\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
 Plots a heatmap with dendrogram of hierarchical cluster analysis.

}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
See also as 'heatplot', ‘hclust’, ‘heatmap’ and ‘dendrogram’

%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{




}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
